<? $segs = $this->uri->segment_array();

foreach ($segs as $segment)
{
switch($segment){
		case '/':
			$home='active';
			break;
		case 'home':
			$home='active';
			break;
		case 'home_new':
			$home='active';
			break;
		case 'contact':
			$contact='active';
			break;
	}
}
?>
  <?  $links = $this->MFuncs->getLinks('top'); ?>
<div id="top_menu_layer">
	<div id="menuHolder">
        <ul id="menu">
          <? $home_link_name = $this->MFuncs->RemoveTones($this->lang->line('links_home')); ?>
        	<li id="home"><?=anchor('home', '<b>'.$home_link_name.'</b>', array('class' => @$home));?></li>
  <? foreach($links as $links=>$link): ?>
  <? $link_name = $this->MFuncs->RemoveTones($link['name']); ?>
              <? if ($link['path']==$this->uri->segment(2)) { ?>
			<li id="single"><?=anchor('pages/'.$link['path'], '<b>'.$link_name.'</b>', array('class' => 'active'));?></li>
              <? } else {?>
			<li id="single"><?=anchor('pages/'.$link['path'], '<b>'.$link_name.'</b>', array('class' => ''));?></li>
              <? } ?>
  <? endforeach ?>
          <? $contact_link_name = $this->MFuncs->RemoveTones($this->lang->line('links_contact')); ?>
			<li id="dropdown"><?=anchor('contact', '<c>'.$contact_link_name.'</c>', array('class' => @$contact));?></li>
		</ul>
   </div>
</div>